## check-all-the-things 2015.12.10

=== debian/changelog ===
check-all-the-things (2015.12.10) experimental; urgency=medium

  * New release.
    - Option to show commands instead of running them
    - Show the currently running command as a progress indicator
    - Line-by-line output when the ptyprocess module is not installed
    - Show comments that have no associated command
    - Make the Debian package build reproducible
    - Make the uscan check work when USCAN_VERBOSE is set
    - Add php-grinder - check PHP code for various flaws
    - TODO items for cppclean js-standard js-modern-standard
      Microsoft-Font-Validator sass-lint scss-lint lesslinter
      django-template-tests soot plato coffeelint phpcpd
      clonedigger xenon brakeman scalastyle tailor

 -- Paul Wise <pabs@debian.org>  Thu, 10 Dec 2015 12:12:13 +0800

check-all-the-things (2015.11.08.1) experimental; urgency=medium

  * New release.
    - Fix traceback when using installed script (Closes: #804491)

 -- Paul Wise <pabs@debian.org>  Mon, 09 Nov 2015 07:07:24 +0800

check-all-the-things (2015.11.08) experimental; urgency=medium

  * New release.
    - Option to quit when interrupted (Closes: #796338)
      Quit after receiving two interrupts within 0.5 seconds
    - Prune/filter VCS dirs for some checks (Closes: #796340)
    - Allow selection of which checks to run based on
      check names, flag names and group names
    - Hide checks with no output by default
    - Minimise display of suppressed checks by default
    - Display names of checks that are not yet implemented
    - Improve help output and add generated manual page
    - Show comments for dangerous checks
    - Add upstream-metadata - missing DEP-12 data
    - Add licensecheck-generated-files - generated files
    - Add puppet/puppet-lint - config management checks
    - Add licensecheck-incorrect-fsf-address - bad FSF address
    - Add 7z-test - test 7zip compressed archives
    - Add disabled-tests - find disabled build-time tests
    - Add luacheck - check Lua code for common issues
    - Rename -m64-m32 to m64-m32 to fit with check selection options
    - Rename rust unsafe check to rust-unsafe for namespacing
    - Drop appdata-validate - should not be used any longer
    - Fixes for ftlint clang-modernize bashate shellcheck empty
      bfbtester *-private-key isutf8 unzip-test
    - TODO items for foodcritic dodgy ruby-lint sourcecode-spellchecker
      chk-origtargz ansible-lint puppet-syntax cbmc vera nsiqcppstyle
      clang-check clang-tidy kwstyle abi-compliance-checker krazy
      checkheaders ublinter clazy csslint dart-shell-metachars
      dep11-tools spellintian scan-copyright gendarme

 -- Paul Wise <pabs@debian.org>  Sun, 08 Nov 2015 19:18:25 +0800

check-all-the-things (2015.08.11.1) experimental; urgency=medium

  * New release.
    - Actually fix dependencies for suspicious-source test

 -- Paul Wise <pabs@debian.org>  Tue, 11 Aug 2015 12:40:00 +0200

check-all-the-things (2015.08.11) experimental; urgency=medium

  * New release.
    - Add comments for tests that need an explanation
    - Drop checkmp3/lintian4python tests, removed from Debian
    - Fix dependencies for cme-check-dpkg test
    - Fix dependencies for suspicious-source test
    - Add flawfinder - C/C++ static analyser for security
    - Add pmccabe - complexity analysis for C/C++
    - Add pyflakes3 - Python 3 static analyser for logic errors
    - Add lintex - finds TeX-related garbage files
    - Add ghc-mod lint - Haskell linting
    - Add isutf8 - ensure text files are UTF-8 encoded
    - Add deheader - tool for reducing C/C++ header inclusion
    - Add checks for X.509, OpenSSH and OpenPGP private keys
    - Add check for empty files and directories
    - Add check for TODO-related keywords
    - Add check for install-related keywords in README
    - Add check for -m32/-m64 compiler options
    - Suggest using clang-modernize to update C++ code
    - Suggest building go:generate files from source
    - Compatibility with Python 3.2 from wheezy

 -- Paul Wise <pabs@debian.org>  Tue, 11 Aug 2015 12:26:26 +0200

check-all-the-things (2015.02.04) experimental; urgency=medium

  * Initial release.

 -- Paul Wise <pabs@debian.org>  Wed, 04 Feb 2015 12:23:55 +0800
