=== debian/control ===
Source: check-all-the-things
Maintainer: Paul Wise <pabs@debian.org>
Standards-Version: 3.9.6
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 9),
 help2man,
 python3
Vcs-Git: git://anonscm.debian.org/collab-maint/check-all-the-things.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/check-all-the-things.git

Package: check-all-the-things
Architecture: all
Depends:
 python3,
 ${misc:Depends}
Recommends:
 python3-ptyprocess,
 ${catt:Recommends}
Description: check all of the things!
 This package will help you check all of the things.
 .
 This package is aimed at checking things that are
 related to packaging and software development.
 .
 To find out what kind of things it checks, take a
 look at the package recommends and data directory.
 .
 WARNING: since it checks so many things the output
 can be very verbose so don't use it if you don't
 have time to go through the output to find problems.
