## check-all-the-things 2015.12.10ubuntu1

=== debian/changelog ===
check-all-the-things (2015.12.10ubuntu1) xenial; urgency=medium

  * Remove references to clang-modernize.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Feb 2016 18:37:10 +0100
