## check-all-the-things 2015.12.10ubuntu2

=== debian/changelog ===
check-all-the-things (2015.12.10ubuntu2) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 22 Mar 2016 15:46:03 -0700
