=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: check-all-the-things
-Maintainer: Paul Wise <pabs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Wise <pabs@debian.org>
 Standards-Version: 3.9.6
 Section: devel
 Priority: optional
