## check-all-the-things 2015.12.10ubuntu3.is.2017.05.20

=== debian/changelog ===
check-all-the-things (2015.12.10ubuntu3.is.2017.05.20) xenial-security; urgency=medium

   * SRU to Ubuntu 16.04, from Ubuntu artful,
     fixing security issues (LP: #1597245)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Jun 2017 19:19:16 +0200

check-all-the-things (2017.05.20) unstable; urgency=medium

  * New release.
    - The "Check Things Securely Yet Again" release
    - Support BSD versions of the find command
    - Support running in more types of terminals/places
    - Support running commands in other dirs for safety
    - Support properly disabling flags/checks
    - Disable remarks about already disabled checks
    - Update documentation, TODO items and URLs
    - Print remarks more nicely in certain situations
    - Print filenames and line numbers where possible
    - Flag checks:
      + dangerous - rpmlint ocaml-lintian
      + run-in-tmp-dir - luacheck puppet-lint epubcheck erl-tidy
      + fixme-silent - flawfinder gettext-lint-* luacheck hlint
      + network - cme-check-dpkg
      + manual - gettext-lint-spell
    - Fix complexity - prevent arbitrary code execution
    - Fix perlcritic - disable code execution, only run when perl present,
                       increase verbosity to be more useful
    - Fix clang-tidy regression from version 2016.06.29
    - Fix zzuf - incorrect path matches
    - Fix yamllint - incorrect find argument grouping
    - Fix ELF & Perl checks - add MIME types
    - Fix grep checks - use short options for portability
    - Fix xapian-check - crash due to use of format strings
    - Fix uudecode - include filenames in command-line
    - Fix insecure-recv-keys - typo in regex
    - Fix appstreamcli - unknown command-line option
    - Fix m64-m32 - reduce false positives
    - Fix gettext-lint-spell - add missing dependency, drop *.pot
    - Fix afl - check it is installed properly
    - Fix embed-dirs - add inc/ dirs for Perl packages
    - Add podchecker - check Perl POD documentation
    - Add pscan - check C printf format strings
    - Add leaktracer - check programs for memory leaks
    - Add tmperamental - check programs for tmpfile issues
    - Add govet - report suspicious Go source code
    - Add golint - report Go source code lint
    - Add goimports - check missing/unused Go import lines
    - Add rubocop - check Ruby code against Ruby Style Guide
    - Add roodi - check Ruby code for design issues
    - Add gendarme - check Mono/.NET ECMA CIL files
    - Add make-phony - find misspelled .PHONY targets
    - Add mypy - check Python static typing hints
    - Add pyroma - check Python packaging quality
    - Add bandit - check Python security quality
    - Add dodgy - check dodgy lines in Python code
    - Add vulture - check for dead Python code
    - Add pycodestyle - check Python code style
    - Add pydocstyle - check Python documentation style
    - Add proselint - check for English prose issues
    - Add chktex - check typographic errors in LaTeX docs
    - Add fitscheck/wcslint/volint - FITS/VOTable files
    - Add putty-private-key & openssh-private-key-rsa1
    - Remove ghc-mod - just a wrapper for hlint
    - TODO items for wtf flake8-plugins xpi-addons-linter
      go-fix libdetectcoll sha1collisiondetection giffix
      haxelint dockerlint dockerfile_lint dockerfile_checker
      truffleHog pyt chap Devel::Plumber

 -- Paul Wise <pabs@debian.org>  Sat, 20 May 2017 17:33:18 +0800

check-all-the-things (2017.01.15) unstable; urgency=high

  * New release.
    - The "Check Things Securely Not Portably" release
    - Reset terminal modes after commands to avoid colour spew
    - Improve compatibility with Python 3.6
    - Update python checks to not work on other distros
      because the `python -m` command is insecure
    - Update checkers removed from Debian - allow to run if installed
    - Update lrzip-test/zstd-test - add MIME types
    - Add lz4-test - check lz4 compressed files
    - Add path-max - check for non-portable path size macros
    - TODO items for deep-text-correcter sblint decopy

 -- Paul Wise <pabs@debian.org>  Sun, 15 Jan 2017 10:37:30 +0800

check-all-the-things (2016.12.25) unstable; urgency=medium

  * New release.
    - The "Check Everywhere For Tangerines" release
    - Improve the 'no specific checks' remark
    - Update php-syntax-check - ignore no files warning
    - Update empty - never print inode/x-empty as unchecked
    - Update pylint - check text/x-python files too
    - Update python checks to work on other distros
    - Add make - check Makefiles with GNU make
    - Add pkg-config - check pkg-config .pc files
    - Add t1lint - check Type 1 font files
    - Add zstd-test - check zstd compressed files validity
    - TODO items for urlycue multivalent pdf-hul pdfavalidation
      huntbugs spotbugs find-sec-bugs binskim

 -- Paul Wise <pabs@debian.org>  Sun, 25 Dec 2016 08:02:09 +0800

check-all-the-things (2016.09.03) unstable; urgency=medium

  * New release.
    - The "Reproducibly Depend On Thing Checkers" release
    - Fixes reproducible builds by sorting Recommends/Suggests (Closes: #829297)
    - Rename an option in line with final 'Remarks' section rename
    - Allow autocompletion with alias cats=check-all-the-things
    - Ignore quilt .pc directories in all the places VCSen are ignored
    - Eliminate terminal crunk for certain situations
    - Update spellintian - ignore *.wav files too
    - Update unzip-test - check *.zhfst files too
    - Update embed-dirs - warn about deps and 3rdp dirs too
    - Update cppcheck - check *.hxx *.hh files too
    - Add cypher-lint - check Cypher Query Language files
    - Add bitmap-synfig - ask where Synfig SIF source files are
    - Add bitmap-povray - ask where POV-Ray POV source files are
    - Add bitmap-gnuplot - ask where gnuplot scripts are
    - Add bitmap-base64 - check files for embedded base64 images
    - Add dsniff - check for passwords in packet capture files

