=== debian/control ===
Source: check-all-the-things
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Wise <pabs@debian.org>
Standards-Version: 3.9.8
Section: devel
Priority: optional
Build-Depends:
 bash-completion,
 debhelper (>= 9),
 help2man,
 python-argcomplete,
 python3,
 python3-apt,
Vcs-Git: https://anonscm.debian.org/git/collab-maint/check-all-the-things.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/check-all-the-things.git

Package: check-all-the-things
Architecture: all
Depends:
 python3,
 ${misc:Depends},
Recommends:
 python3-argcomplete,
 python3-magic,
 python3-netifaces,
 python3-ptyprocess,
 ${cats:Recommends},
Suggests:
 ${cats:Suggests},
Description: check all of the things!
 This package will help you check all of the things.
 .
 This package is aimed at checking things that are
 related to packaging and software development.
 .
 To find out what kind of things it checks, take a
 look at the package recommends and data directory.
 .
 WARNING: At this time it is probably not suitable
 for running against untrusted directories.
 .
 WARNING: since it checks so many things the output
 can be very verbose so don't use it if you don't
 have time to go through the output to find problems.
 It is not for the busy, lazy or noise intolerant.
