## check-all-the-things 2016.06.29.1~build1

=== debian/changelog ===
check-all-the-things (2016.06.29.1~build1) yakkety; urgency=medium

  * New release.
    - The "Check A Few More Things Slightly More Securely" release
    - More mitigations for Debian perl bug #588017
    - Fix dependencies for uscan based checks

 -- Paul Wise <pabs@debian.org>  Wed, 29 Jun 2016 13:06:12 +0200
