=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: check-all-the-things
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Wise <pabs@debian.org>
+Maintainer: Paul Wise <pabs@debian.org>
 Standards-Version: 3.9.8
 Section: devel
 Priority: optional
