## check-all-the-things 2017.05.20

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,5 @@
 		./$P \
 		> $P.1
 	register-python-argcomplete check-all-the-things > debian/$P.bash-completion
+	sed -i s/_python_argcomplete/_check_all_the_things_argcomplete/ debian/$P.bash-completion
+	sed -i 's/$$1/check-all-the-things/' debian/$P.bash-completion
