=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  bash-completion,
  debhelper (>= 9),
  help2man,
- python-argcomplete,
+ python3-argcomplete,
  python3,
  python3-apt,
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/check-all-the-things.git
