## check-all-the-things 2025.02.06

=== debian/changelog ===
check-all-the-things (2025.02.06) unstable; urgency=medium

  * Team upload.
  * Recommends: s/afl/afl++/ (afl is transitional package)
    Closes: #974711
  * d/rules: register-python-argcomplete3 is now register-python-argcomplete
    Closes: #1071792
  * Recommends: s/p7zip/7zip/ (p7zip is transitional package)
    Closes: #1063548
  * Migrate Vcs fields from Alioth to Salsa
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Recommends: s/pkg-config/pkgconf/ (pkg-config is obsolet)
  * Recommends: s/hardening-includes/devscripts/
    package hardening-includes was removed but devscripts provides the
    executable hardening-check
  * Recommends: s/cdbs/licensecheck/ (cdbs is obsolete)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Feb 2025 21:32:26 +0100
