=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: check-all-the-things
 Maintainer: Paul Wise <pabs@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.7.0
 Section: devel
 Priority: optional
 Build-Depends:
  bash-completion,
- debhelper (>= 9),
+ debhelper-compat (= 13),
  help2man,
  python3-argcomplete,
  python3,
  python3-apt,
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/check-all-the-things.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/check-all-the-things.git
+Vcs-Browser: https://salsa.debian.org/debian/check-all-the-things
+Vcs-Git: https://salsa.debian.org/debian/check-all-the-things.git
 
 Package: check-all-the-things
 Architecture: all
