## check-all-the-things 2025.02.06build1

=== debian/changelog ===
check-all-the-things (2025.02.06build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 20:24:45 +0000
